View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17345Bug reportsQuestion editorpublic2021-08-12 08:46
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version5.x 
Target Version5.0.0dev 
Summary17345: Personal Settings: Default Question Type is not saved as expected.
Description

On personal settings, when displaying the default question type, the dropdown shows the same question type but implemented for differetn question themes.

If you select the question theme related option, later, the theme will be ignored.

Steps To Reproduce

Ex options of the dropdown:
Bootstrap Buttons (M)
Multiple Choice (M)

If you select Bootstrap Buttons you are expecting to set the question type and question theme, while the system only saves question type.

Additional Information

Should we:
a - List only core theme options as to remove the duplicate question types.
b - Save not only the default question type but the default theme.
c - ideas?

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)5.0
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

c_schmitz

c_schmitz

2021-06-01 08:19

administrator   ~64682

I would prefer (b) in general.

gabrieljenik

gabrieljenik

2021-06-03 20:46

manager   ~64729

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1909

gabrieljenik

gabrieljenik

2021-06-04 08:56

manager   ~64730

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31947

Related Changesets

LimeSurvey: master aab0b8b1

2021-06-04 08:56:40

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17345: Personal Settings: Default Question Type is not saved as expected. (#1909) Affected Issues
17345
mod - application/config/config-defaults.php Diff File
mod - application/controllers/QuestionAdministrationController.php Diff File
mod - application/controllers/admin/useraction.php Diff File
mod - application/extensions/admin/PreviewModalWidget/assets/previewModalWidget.js Diff File
mod - application/models/Question.php Diff File
mod - application/views/admin/user/personalsettings.php Diff File

Issue History

Date Modified Username Field Change
2021-05-31 14:44 gabrieljenik New Issue
2021-05-31 14:54 ollehar Product Version => 5.x
2021-05-31 14:54 ollehar Sync to Zoho Project Yes => |Yes|
2021-06-01 08:19 c_schmitz Note Added: 64682
2021-06-01 19:53 ollehar Priority none => normal
2021-06-01 19:53 ollehar Sync to Zoho Project Yes => |Yes|
2021-06-03 20:46 gabrieljenik Note Added: 64729
2021-06-03 20:46 gabrieljenik Assigned To => gabrieljenik
2021-06-03 20:46 gabrieljenik Status new => ready for testing
2021-06-04 08:56 gabrieljenik Changeset attached => LimeSurvey master aab0b8b1
2021-06-04 08:56 gabrieljenik Note Added: 64730
2021-06-04 08:56 gabrieljenik Resolution open => fixed
2021-07-21 17:26 ollehar Status ready for testing => resolved
2021-08-12 08:46 c_schmitz Status resolved => closed